Subject: Re: [GIT PULL nf-next 00/21] Second Round of IPVS Updates for v3.18

From: Pablo Neira Ayuso <[email-masked]>
Date: Wed, 17 Sep 2014 10:30:41 +0200

On Wed, Sep 17, 2014 at 12:27:03AM +0300, Julian Anastasov wrote:
> 
> 	Hello,
> 
> On Tue, 16 Sep 2014, Pablo Neira Ayuso wrote:
> 
> > Hi Simon,
> > 
> > On Tue, Sep 16, 2014 at 09:34:14AM +0900, Simon Horman wrote:
> > > Hi Pablo,
> > > 
> > > please consider these IPVS updates for v3.18.
> > > 
> > > * Add simple weighted failover scheduler
> > >   - Thanks to Kenny Mathis
> > > * Support v6 real servers in v4 pools and vice versa
> > >   - Thanks to Alex Gartrell and Julian Anastasov
> > 
> > I need a slightly larger description of this series.
> > 
> > I think you can merge patches 13-19 too. They are mostly two liners
> > with a similar description, so they naturally belong to the same
> > logical change. I would like to reduce the patchbomb pull request for
> > David.
> 
> 	Good idea, done.
> 
> 	Simon, I'm attaching such patch that replaces all
> these "ipvs: use correct address family in * logs".
> It additionally changes the new ip_vs_fo.c scheduler
> and ip_vs_wrr.c which was missed.

Thanks Julian.

@Simon, I can manually apply this batch if that reduces your workload.
Please let me know what you prefer.

Still I'd really appreciate a longer series description that I can
include in the pull-request for David.

Thanks.